using SewingDressesContracts.BindingModels;
using SewingDressesContracts.SearchModels;
using SewingDressesContracts.ViewModels;

namespace SewingDressesContracts.StoragesContracts
{
    public interface IDressStorage
    {
        List<DressViewModel> GetFullList();
        List<DressViewModel> GetFilteredList(DressSearchModel model);
        DressViewModel? GetElement(DressSearchModel model);
        DressViewModel? Insert(DressBindingModel model);
        DressViewModel? Update(DressBindingModel model);
        DressViewModel? Delete(DressBindingModel model);
    }
}
